### Function

# FwupdPlugin efi_variable_attrs_to_string

since: 1.0

#### Declaration [src]

    gchar*
    fu_efi_variable_attrs_to_string (
      FuEfiVariableAttrs val
    )

#### Description [src]

Converts an enumerated value to a string.

Available since: 1.0

#### Parameters

`val`

  Type: `FuEfiVariableAttrs`

  Value, e.g. `FU_EFI_VARIABLE_ATTR_NON_VOLATILE`.

#### Return value

Type: `gchar*`

Identifier string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.